jv.rsrc

## Class PsLicense_IP

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Dialog
        - - jv.object.PsDialog
          - - jv.rsrc.PsLicense_IP

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.event.ContainerListener, java.awt.event.KeyListener, java.awt.event.WindowListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, PsUpdateIf

      public final class PsLicense_IP
      extends PsDialog

  Panel to modify JavaView license information.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    15.02.04, 2.10 revised (kp) PsSlotLayout used instead of GuiStackLayout.
    26.06.03, 1.00 created (kp) Extracted from PsJavaView_IP.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Dialog

      `java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class jv.object.PsDialog

      `BUTTON_APPLY, BUTTON_CANCEL, BUTTON_CLEAR, BUTTON_CLOSE, BUTTON_HIDE, BUTTON_LOAD, BUTTON_OK, BUTTON_RESET, BUTTON_SAVE`

    - ### Fields inherited from class java.awt.Dialog

      `DEFAULT_MODALITY_TYPE`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PsLicense_IP()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDialogButtons()` Get information which bottom buttons a dialog should create when showing this info panel.
    `java.awt.Dimension` | `getDialogSize()` Get preferred size, for example, to ensure size of dialog.
    `java.lang.String` | `getDialogTitle()` Get title of dialog.
    `java.lang.String` | `getNotice()` Informational text on the usage of the dialog.
    `void` | `init()` This initialization method simply set the font of this dialog.
    `void` | `setParent(PsUpdateIf licInfo)` Assign parent containing the information to be edited.
    `boolean` | `update(java.lang.Object object)` Handle update events sent from children or update events.

    - ### Methods inherited from class jv.object.PsDialog

      `actionPerformed, addActionListener, componentAdded, componentRemoved, getBottomButtons, getFather, getInsets, getUserAction, instanceOf, keyPressed, keyReleased, keyTyped, removeActionListener, reset, setHeader, setInsetSize, setLocation, setSize, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

    - ### Methods inherited from class java.awt.Dialog

      `addNotify, getAccessibleContext, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setType, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getName`

- - ### Constructor Detail

    - #### PsLicense_IP

          public PsLicense_IP()

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PsDialog`
      This initialization method simply set the font of this dialog.
      Overrides:
        `init` in class `PsDialog`

    - #### getNotice

          public java.lang.String getNotice()

      Informational text on the usage of the dialog. This notice will be displayed if this info panel is shown in a dialog. The text is split at line breaks into individual lines on the dialog.
      Returns:
        string with textual information.

    - #### getDialogTitle

          public java.lang.String getDialogTitle()

      Get title of dialog.

    - #### getDialogSize

          public java.awt.Dimension getDialogSize()

      Get preferred size, for example, to ensure size of dialog.

    - #### getDialogButtons

          public int getDialogButtons()

      Get information which bottom buttons a dialog should create when showing this info panel.

      Subclasses may include superclass preferences by using, for example, `return super.getBottomButtons() | PsDialog.BUTTON_CLOSE;`.

      Returns:
        identifier of the type of preferred buttons.
      Version:
        29.01.04, 1.10 revised (kp) Disable LOAD button since currently license is not updated.

    - #### setParent

          public void setParent(PsUpdateIf licInfo)

      Assign parent containing the information to be edited.
      Specified by:
        `setParent` in interface `PsUpdateIf`
      Overrides:
        `setParent` in class `PsDialog`
      Parameters:
        `licInfo` - will receive events which `this` does not handle
      See Also:
        `PsDialog.getFather()`, `PsDialog.update(Object)`

    - #### update

          public boolean update(java.lang.Object object)

      Handle update events sent from children or update events.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PsDialog`
      Parameters:
        `object` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsDialog.getFather()`, `PsDialog.setParent(PsUpdateIf)`

"

The software JavaView? is copyright protected. All Rights Reserved.
"